declare const _default: import("vue").DefineComponent<{
    /**
     * The invalid feedback of the form group
     * *Displayed between input and helpText*
     */
    invalidFeedback: {
        type: (StringConstructor | ArrayConstructor)[];
        default: () => any[];
    };
    /**
     * The label to display
     */
    label: {
        type: StringConstructor;
        default: any;
    };
    /**
     * The classes that will be forwarded to the label
     */
    labelClass: {
        type: (StringConstructor | ArrayConstructor | ObjectConstructor)[];
        default: any;
    };
    /**
     * The valid feedback of the form group
     * *Displayed between input and helpText*
     */
    validFeedback: {
        type: (StringConstructor | ArrayConstructor)[];
        default: () => any[];
    };
    type: {
        type: import("vue").PropType<"number" | "date" | "email" | "password" | "text">;
        default: string;
        validator: (v: "number" | "date" | "email" | "password" | "text") => boolean;
    };
    size: {
        type: import("vue").PropType<"sm" | "md" | "lg" | "xl">;
        default: string;
        validator: (v: "sm" | "md" | "lg" | "xl") => boolean;
    };
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    plainText: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    id: {
        type: StringConstructor;
        default: () => string;
    };
    /**
     * The description of the form group
     * *Displayed between label and input*
     */
    description: {
        type: StringConstructor;
        default: any;
    };
    /**
     * The help text of the form group
     * *Displayed under input*
     */
    helpText: {
        type: StringConstructor;
        default: any;
    };
}, (_ctx: any, _cache: any) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The invalid feedback of the form group
     * *Displayed between input and helpText*
     */
    invalidFeedback: {
        type: (StringConstructor | ArrayConstructor)[];
        default: () => any[];
    };
    /**
     * The label to display
     */
    label: {
        type: StringConstructor;
        default: any;
    };
    /**
     * The classes that will be forwarded to the label
     */
    labelClass: {
        type: (StringConstructor | ArrayConstructor | ObjectConstructor)[];
        default: any;
    };
    /**
     * The valid feedback of the form group
     * *Displayed between input and helpText*
     */
    validFeedback: {
        type: (StringConstructor | ArrayConstructor)[];
        default: () => any[];
    };
    type: {
        type: import("vue").PropType<"number" | "date" | "email" | "password" | "text">;
        default: string;
        validator: (v: "number" | "date" | "email" | "password" | "text") => boolean;
    };
    size: {
        type: import("vue").PropType<"sm" | "md" | "lg" | "xl">;
        default: string;
        validator: (v: "sm" | "md" | "lg" | "xl") => boolean;
    };
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    plainText: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    id: {
        type: StringConstructor;
        default: () => string;
    };
    /**
     * The description of the form group
     * *Displayed between label and input*
     */
    description: {
        type: StringConstructor;
        default: any;
    };
    /**
     * The help text of the form group
     * *Displayed under input*
     */
    helpText: {
        type: StringConstructor;
        default: any;
    };
}>> & {
    "onUpdate:modelValue"?: (...args: any[]) => any;
}, {
    description: string;
    helpText: string;
    invalidFeedback: string | unknown[];
    label: string;
    labelClass: string | unknown[] | Record<string, any>;
    validFeedback: string | unknown[];
    type: "number" | "date" | "email" | "password" | "text";
    size: "sm" | "md" | "lg" | "xl";
    modelValue: string;
    placeholder: string;
    plainText: boolean;
    readonly: boolean;
    disabled: boolean;
    autofocus: boolean;
    id: string;
}>;
export default _default;
